<?php
/*
Plugin Name: Pinterest Lightbox
Plugin URI: http://www.travishoglund.com
Description: Add Pinterest in a Lightbox to the NextGEN Gallery plugin.
Version: 1.4
Author: Travis Hoglund
Author URI: http://www.travishoglund.com
*/

//Check that the NEXTGen Plugin is installed - this class only exists in 2.0 or greater
if(class_exists('C_NextGEN_Bootstrap')) {
	function pinterest_lightbox_inline_js_css() {
		echo 
		'
		<style>
			#fancybox-title {
				margin-left: 10px;
				margin-right: 10px;	
				min-height: 20px;
			}
			#TB_secondLine {
				padding-left: 60px !important;
			}
			.pin-it-button {
				float: left !important; margin-right: 10px !important; margin-bottom: 8px !important;
				width: 43px !important; height: 21px !important; display: block !important;
			}
			.pin-it-button a {
				margin: 0 !important;
			}
		</style>
		<script type="text/javascript">
			jQuery( document ).ready(function($) {
				$(document).bind( "mouseup", function() {
					console.log("click event");
					setTimeout(function() {
						  //Fancybox
						  var anchor = $(\'a.ngg-fancybox[href="\'+$("#fancybox-img").attr("src")+\'"]\');
						  if(!$(".fancybox-title-inside").length) $("#fancybox-title").css("display", "block").addClass("fancybox-title-inside");
						  if(!$(".pin-it-button").length) {
						  	$(".fancybox-title-inside").prepend(\'<span class="pin-it-button"><a href="http://pinterest.com/pin/create/button/?url=\'+document.URL+\'&media=\'+anchor.attr("href")+\'&description=\'+anchor.attr("title")+\'" count-layout="horizontal" target="_blank"><img border="0" src="//assets.pinterest.com/images/PinExt.png" title="Pin It" /></a></span>\');
						  	$(".fancybox-title-inside").append(\'<span style="clear: both;"></style>\');
						  }
						  //HighSlide
						  var anchor = $(\'a.highslide[href="\'+$(".highslide-wrapper .highslide-image").attr("src")+\'"]\');
						  if(!$(".pin-it-button").length) {
						  	$(".highslide-number").append(\'<span class="pin-it-button" style="float: right !important; margin-left: 20px !important; margin-right: 0 !important;"><a href="http://pinterest.com/pin/create/button/?url=\'+document.URL+\'&media=\'+anchor.attr("href")+\'&description=\'+anchor.attr("title")+\'" count-layout="horizontal" target="_blank"><img border="0" src="//assets.pinterest.com/images/PinExt.png" title="Pin It" /></a></span><span style="clear: both;"></style>\');
						  }
						  //Regular Lightbox
						  var anchor = $(\'a.ngg_lightbox[href="\'+$("#lightbox-image").attr("src")+\'"]\');
						  if(!$(".pin-it-button").length) {
						  	$("#lightbox-image-details").append(\'<span class="pin-it-button"><a href="http://pinterest.com/pin/create/button/?url=\'+document.URL+\'&media=\'+anchor.attr("href")+\'&description=\'+anchor.attr("title")+\'" count-layout="horizontal" target="_blank"><img border="0" src="//assets.pinterest.com/images/PinExt.png" title="Pin It" /></a></span><span style="clear: both;"></style>\');
						  }
						  //Shutter & Shutter 2
						  var anchor = $(\'a[class*="shutterset"][href="\'+$("#shWrap img").attr("src")+\'"]\');
						  if(!$(".pin-it-button").length) {
						  	$("#shTitle").append(\'<span class="pin-it-button" style="margin: 8px auto 0px auto !important; float: none !important;"><a href="http://pinterest.com/pin/create/button/?url=\'+document.URL+\'&media=\'+anchor.attr("href")+\'&description=\'+anchor.attr("title")+\'" count-layout="horizontal" target="_blank"><img border="0" src="//assets.pinterest.com/images/PinExt.png" title="Pin It" /></a></span><span style="clear: both;"></style>\');
						  }
						  //Thickbox
						  var anchor = $(\'a.thickbox[href="\'+$("#TB_Image").attr("src")+\'"]\');
						  if(!$(".pin-it-button").length) {
						  	$("#TB_caption").prepend(\'<span class="pin-it-button"><a href="http://pinterest.com/pin/create/button/?url=\'+document.URL+\'&media=\'+anchor.attr("href")+\'&description=\'+anchor.attr("title")+\'" count-layout="horizontal" target="_blank"><img border="0" src="//assets.pinterest.com/images/PinExt.png" title="Pin It" /></a></span>\');
							$("#TB_caption").append(\'<span style="clear: both;"></style>\');
						  }
					}, 500);
				});
			});
		</script>';	
	}
	add_action('wp_head', 'pinterest_lightbox_inline_js_css');
}
else {
	//Display a notification to install or update to NextGen 2.0 or greater
	function pinterest_lightbox_needs_nextgen2(){
		echo '<div class="error"><p>Pinterest Lightbox requires that NextGen 2.0 or greater is installed and activated.  Please update or install.</p></div>';
	}
	add_action('admin_notices', 'pinterest_lightbox_needs_nextgen2');	
}

?>